PROJECT NOTES

Introduction

Project Notes is an application module in Proteus for adding documentation or written content to the project. It is a free-form editor so you can add whatever you like in whatever style you want. This may be as simple as scribbling a TBD list at the end of the working day or as formal as an approved revision history for the project. Project Notes are stored inside the main Proteus file (*.PDSPRJ) but can be printed separately or exported to PDF. They can also be appended to the end of the BOM PDF report or included inside the CADCAM ZIP file.

The Template system in Project Notes allows you to create, save and re-use formatted content and we have included some example templates for things like Engineering Change Orders, PCB Specifications and Lab Exercises that might prove useful.

In keeping with the other modules in Proteus, you can use Project Notes to interact with the rest of the system. For example, you can link text to real parts on the schematic or layout so that clicking on the link will navigate to the part in your design or PCB. You can also use fieldcodes to bring in design information such as Author or Revision Number and the internal clipboard makes it easy to copy and paste pictures from other Proteus modules into Project Notes.

Project Notes is the generic documentation center for your projects and we expect it will find many useful roles for different users.

Guided Tour

Project Notes is a general purpose editor and as such most of it's iconography and features will be familiar to anyone who has used MS Word. There are two views of the application module, depending on whether it is locked (read-only) or unlocked (editable).

Ruler

The ruler at the top is visible only when the document is unlocked/editable. At it's simplest it allows you to control the left and right margins but it also allows you to set hanging indents on paragraphs and, used together with tabstops, will allow you position content on the page. Tabstops and indents work in the same way in Project Notes as in MS Word and other word processing apps.

Main Toolbar

The main toolbar across the top provides easy access to most of the common operations you need when typing up a document. Most of the controls on this toolbar are disabled in read-only mode.

Page Setup and Output

Provides access to page setup (paper size and orientation) as well as print and PDF output options.

Keyboard:

CTRL+P : Print.

Magnification

Allows you to view the document at various zoom levels.

Keyboard:

CTRL+MiddleMouseWheel : Zoom in and out.

Clipboard

Cut, Copy and Paste commands for manipulating content.

Keyboard:

CTRL+X : Cut to clipboard.

CTRL+C : Copy to clipboard.

CTRL+V : Paste from clipboard.

Find and Replace

Search the document for content and/or replace with different content.

Keyboard:

CTRL+F : Find dialogue.

CTRL+H : Find/Replace Dialogue.

CTRL+F3 : Find Previous.

F3 : Find Next.

Undo/Redo

Undo or Redo the previous operation.

Keyboard:

CTRL+Z : Undo.

CTRL+Y : Redo.

Inline Styling and Decoration

Adjust font and decorations locally to the text being entered or the selected text. Also enables lists (bullets and numbers) and basic paragraph positioning (left, center, right, full).

Keyboard:

CTRL+B : Bold.

CTRL+U : Underline.

CTRL+I : Italic.

See Also:

Insert Object

Insert other content to the document. Options exist for images, page break, links, bookmarks and fieldcodes.

Keyboard:

CTRL+D : Bookmarks Dialogue.

CTRL+K : Links Dialogue.

Locked Status

Displays the current status of the document (locked or unlocked). Click to toggle.

See Also:

Protecting the Document

Styling Control Panel

The styling control panel is visible only when the document is unlocked and appears as a column on the right hand side of the document. For each style, the title of the style is shown with the specified font and decorations and a button at the right hand side allows you to edit the style.

New styles can be created either from the button at the top of the control panel or by the right hand context menu.

During document entry the style currently in use will be highlighted. Double clicking on another style will apply that style to the current paragraph.

Keyboard:

CTRL+1,2,3,4,5,6 : Heading 1,2,3,4,5,6.

CTRL+SHIFT+N : Normal Style (Paragraph)

Creating Content

Creating content in a project is basically a three stage process:

1) Load a template.

2) Configure Styles.

3) Start Writing!

Loading a Template

When you open the Project Notes module for the first time in a Project you will be presented with the template selection dialogue form. You can initialise the notes from one of the pre-existing templates if that suits your purpose or select default for a blank document.

Set the title for the document and it's type.

If you are using the default template and you need a specific page size or layout (e.g landscape) then it's best to set this up before you start writing the document.

If you want to change the title or type of the document then edit via the 'Note Title' command on the File menu.

See Also:

Templates

After the first launch of Project Notes in a project, it will open by default in read-only mode. You can then either double click to edit or click on the padlock on the top toolbar to open.

See Also:

Protecting the Document

Configuring Styles

Once open and editable, the first task is to set up the various styles that you will use. The styles are all displayed with a live preview at the right hand side and can be edited from the context menu.

The style dialogue then lets you set up font and decoration, margin and spacing and borders and background.

When you change a style it affects all text using that style so a little discipline with styles at the beginning makes changes later on much faster.

See Also:

Writing the Document

Writing a document should be familiar to everyone and Project Notes works in largely the same way as any other word processing application.

Select the style you want to use (heading, paragraph, etc.) and start typing. Content such as images and links can be added from the Insert Menu and local changes to font or decorations can be made via the main toolbar. Double click on a style in the control panel or use the keyboard shortcuts to change the styling of the current paragraph.

Closing the project notes tab is the same as closing any other tab in Proteus in that you can close and open the tab during a Proteus session without loss of data. However, the data is not filed until you save the Project (File Menu).

See Also:

Tutorial

Types of Project Note

There are three types of Project note, namely Manufacturing notes, Bill of Materials notes and Generic notes.

  • Manufacturing Notes: Notes for the fab house and can be included with CADCAM output. Only one per project.
  • Specification Report: Fabrication notes and guidelines - can be included with CADCAM output. Only one per project.
  • Bill of Materials Notes: Notes for the BOM Report and can be appended to the PDF output of the Bill of Materials. Only one per project.
  • Generic Notes: Any other notes. Can be anything you like (revision history, TBD list, testing schedule, etc.). You can have as many as needed in a project and we've created some templates for things like Variant Comparison Reports and Design Rule Reports for you.

The type of project notes document is shown on the initialisation dialogue.

You can change the Title and type of a project notes document via the Note Title command on the File Menu

See Also:

Output Options

Multiple Project Notes

You can have as many generic project notes documents as needed for a project, as well as one of type Manufacturing and one of type Bill of Materials.

You can only have one Project Notes document open at any time and you navigate between documents via the Open Project Notes command on the File Menu. Commands for creating new Project Notes or deleting existing documents from the project are also on this menu.

These commands will be enabled when the current document is opened for editing.

Output Options

Project Notes can be printed or exported to PDF from the icons on the toolbar or from the File menu commands.

If you have a Project Notes of type Bill of Materials then you can also append the content to the Bill of Materials PDF report. This is useful if you want to provide detailed purchasing information.

Finally, if you have created Project Notes of type Manufacturing Notes then you can include them with the CADCAM output fileset. This is useful if you want to provide specific instructions, screenshots or PCB specifications to the manufacturer. It appears in the same directory or the zip file as 'Manufacturing notes.pdf'

Protecting Project Notes

Once project notes is in use it will open by default in locked / read only mode.

  • When in read-only mode you can unlock the document either by clicking on the padlock icon on the toolbar or by double clicking in the main editing area.
  • When in editing mode you can toggle back to read-only mode via either the ESCAPE key or toggling the padlock icon on the toolbar.

When unlocked, you can set a password for the document via the Set Lock Password command in the File Menu.

If a password is set it will apply to all Project Notes documents in the current project and will need to be entered each time you want to edit any of the documents.

You can remove a set password via the same dialogue form when in editing mode.

Document protection is meant as a first level defense against accidental editing. It is not designed as a significant security feature and shouldn't be relied on for that purpose.

Labcenter should be able to retrieve/unlock documents on request should passwords be forgotten or lost.


TUTORIAL

Introduction

This tutorial will aim to provide a general walkthrough of adding content to a Project Notes document. It is assumed that the user is familiar with general word processing techniques and these are therefore outside the scope of the tutorial.

This tutorial is based on a single board project. The principles are fairly similar for multi-board projects but more specific information can be found in this topic.

Start by opening the dspic33 data recorder sample project.

Setting up the Project Notes Document

Let's assume we want to create a Revision History notes document for our project. Start by clicking on the Project Notes icon to launch the application module and you will be presented with the New from Template dialogue as shown below.

This dialogue can also be launched from the File Menu any time you want to create additional documents

Since we are creating our own content, select the default template. This will give us blank document with some skeleton styles. Now, give the document a title (e.g. Revision History) and make sure type Generic is selected. Finally, click OK to open the document.

See Also:

Types of Project Note

The available styles for typing are on the right hand side while in editing mode but not when in read-only mode. You can switch between modes by toggling the padlock icon on the toolbar at the top but for now, make sure you are in editing mode.

See Also:

Protecting the Document.

Adding Content

Adding the content is then as simple as selecting the style you want and typing. For example, double click on Heading 1 at the right hand side and then type a title for the document.

Next, double click on Heading 3 to switch styles and then type in a few sub-headings corresponding to topics you might want to note info about in a revision.

Finally, select paragraph style and enter the content.

Styling Content

Now let's look at how we can control the presentation of the content.

Editing Styles

Right click on the heading 3 style in the control panel and select the Edit command from the resulting context menu.

Now we can change the font to something a little more prominent and underline the headings. The document will live update with style changes so you can easily see the effect of any changes you make.

Use the combo at the top to switch the style to paragraph and then drop the font size a little.

Finally, switch to Heading 1 style and center the title on the page.

New Styles

You can also create new styles from this dialogue. For example, click on the button at the top right to create a new style and call it 'linebreak'.

Now switch to the background and border tab and give it a solid underline.

Since this is a separator it would make sense to have a little extra spacing between paragraphs. Switch to the spacing and alignment tab and bump the top and bottom margins.

If you now exit the styling dialogue you will see the new style on the control panel at the right. Move to a new line at the bottom of the content and select the underline style to apply. Hit the enter button to add another new line and then click on the paragraph style to switch styles back.

List Styles

Finally, we probably also want to tidy up our earlier content entry into a numbered list of actions. We do this by putting the list items on individual lines, selecting the list and then using the number button on the toolbar at the top to convert into a list.

Styling commands and the styling dialogue is much the same as you will find on a word processing application.

See Also:

Linking Content

There are several ways in which we can link our content with other parts of the document and indeed with other parts of the Proteus project.

Bookmarks

Bookmarks let us link to points of interest inside the document and notably enable easy creation of a table of contents. Start by adding another revision block underneath our separator (copy and paste the existing one).

Next, position the mouse at the beginning of the Revision Number heading line of the first block and click on the Insert Bookmark button on the toolbar.

Type 'Rev1' as the text and hit OK to commit.

You should now see a little flag indicator at the left hand side of the text, indicating that the bookmark is in place. This flag is visual only and will not appear in any output.

Repeat the process and add a bookmark to Revision Number 2, naming the bookmark 'Rev2' this time.

Now add a new heading for Table of Contents near the top of the page and start a bulleted list.

Select the text, right click and launch the link dialogue form.

For a hyperlink, simply select the text you require to be linked, set the Link Type to be external, and type the web address in the Address field.

Choose internal link type and then associate with the appropriate bookmark.

Repeat for the next revision to complete the table of contents.

When you are in editing mode you can navigate to a link by holding the CTRL button down and left clicking on the link. When in read only mode, or in the PDF output, bookmark links will navigate on a left click.

Internal Links

We can also add links to components on the schematic or to footprints on the layout. For example, in our first revision we reworked the circuitry around the MAX1724 converter. If we go back to that text we could select the boost regulator phrase, and insert a Proteus link to U5 on the schematic.

We could also highlight U5 in the text and insert a live Proteus link - this time to the layout. A live link forces the text to be the same as the link and will update if the link changes due to re-annotation.

In editing mode you can navigate a Proteus link by holding the CTRL button down and left clicking on the link. When in read only mode Proteus links will navigate on a left click. Proteus links are not exported in the PDF output.

Field Codes

Field codes are a common idea in word processing and allow you to quickly enter a date or the document author. Project Notes contains these field codes and also allows access to the design properties as field codes. Start by launching the Design Properties in ISIS under the Design Menu and enter your name as the Author.

Next, in Project Notes, go to the Author entry of our revision, right click and insert the author field code.

Adding Images

It is often useful to include pictures, particularly for a revision history where before and after screenshots can make clear what changes have been made. For now, we'll simply add a layout image of the layout after the mods have been made.

Switch to (or open) the layout module, enter selection mode and draw a small tagbox around the circuitry being worked on.

Right click and copy to clipboard.

Switch back to project notes, click on a new line underneath work done and paste the image from the clipboard.

Finally, resize the image as required.

By default the aspect ratio of the image is preserved but you can unlock this via the control icons that appear when the mouse is hovered over the image.

The captured image is clipped at the bounds of the selection box so tracks (or wires) that route outside the box are snipped at that point.

Saving as Template

Revision history is quite likely to be something that would be useful in other projects so we'll save it as a Template for re-use. Ideally, we should first strip out the content that is specific to this project, leaving the headings and field-codes in place.

Next, we should check that the Title and Type are correct via the Note Title command from the File Menu.

The general rule for Note types is :

  • Generic Notes : Can have as many as you like in a Project.
  • BOM Notes : Can have only one in a Project - can be appended to the BOM Report PDF.
  • Manufacturing Notes: Can have only one in a Project - can be added to the CADCAM Output fileset.

More information can be found here.

With title Revision History and type as Generic we can go ahead and Save as Template via the command on the Template menu.

Storage and Output

By default, all Project Notes are stored in the Proteus project file (*.PDSPRJ). You can only have one open at a time and can switch between notes via the command on the File Menu.

Project Note Templates are stored in the Templates directory of your Proteus installation.

Any Project Note can be output or printed via the normal toolbar commands, but Manufaucturing Notes and BOM Notes can also be output/appended to their relevant files.

See Also:

Output


TEMPLATES

Overview

Templates allow you to create and re-use formatted content in different projects. It is ideal if you want to use Project Notes for a particular purpose (e.g. revision history) as you can set up the template and then re-initialise from it when you start a new Proteus project. Templates are also used to provide a base set of reports that could prove useful during PCB Design - you can of course add to or modify these to suit.

Pre-Supplied Templates:

  • Engineering Change Order
  • Design Rule Report
  • Length Matching Report
  • PCB Manufacturing Document
  • PCB Specification Document
  • Single Pin Net Report
  • Variant Comparison Report
  • Differential Pairs Report
  • Component Placement Report

Loading Templates

When you first open Project Notes you will be presented with a Template dialogue that lists all available templates along with a preview of their contents on the right hand side. Default is a blank template with no text and the others show example usage of Project Notes.

When you select the Template the title and Project Notes type will be shown at the bottom. You can change these if you want, although it's unlikely to be necessary.

Either double click on the template you want or select it and click on the OK button to load the template into Project Notes.

You can also load styles only (not content) from either another Template or from Factory defaults via the Template Menu.

Mostly, this is useful if you don't want to re-use the fonts and styles that you have created in one template (e.g. Revision History) in a different template (e.g. Purchasing Guidelines).

Saving or Creating Templates

Creating a template amounts to saving Project Notes as a template when it contains re-usable styles and information. First, check the title and type from the command on the File Menu.

Next, use the Save as Template command to store the document and styles into your Templates directory.

For example, you might want to create a fixed procedure for recording a revision to the PCB so you type up some headings for the various stages and then save it as a Template. This is exactly what we did with the Engineering Change Order example template supplied with the software:

When you save a template you save both the Project Notes content at that time and also the configuration of all of the styles at that point. The latter allows you to change fonts to your liking and then save a blank template (override default) for future projects.

Storage and Filing

Project Notes templates are stored on disk in the Templates directory of your Proteus installation with a PJNT extension. If you want to share the templates between users these files either need copying to other machines or the Templates directory needs to be moved and shared on a network drive. You can do this via the Global Settings command on the System menu.

Be careful when changing these settings as your schematic, layout and BOM templates are also stored in this directory.

Note that the actual Project Notes document for a Proteus Project is stored inside the Proteus file (*.PDSPRJ). It is only the Project Notes Templates that are stored externally on disk.


Styles

STYLES AND STYLE EDITING

Overview

Styles are the building blocks of your document. You use a different text style for different purposes when laying out a document (e.g. Heading Styles, Paragraph) and a little bit of time spent setting these up can save a good deal of hassle if their properties need to be changed at a later date. Creating additional styles also helps you think through about what you want your document to look like (e.g. a warning style or a comment style).

Styles are saved as part of a Project Notes template to make them available when you re-use the Template. You can also load the styles from a template at any time via the template menu.

Editing Styles

Style Management will be familiar to many users of MS Word and Project Notes works in much the same way. Start by right clicking on the style in the Style control panel and selecting edit from the resulting context menu. This will launch the Style Editor dialogue form.

The combo box at the top allows you to switch between available styles while the buttons at the right allow you to create a new style or delete a style.

You can only delete styles you have created yourself. This option will be disabled for system styles.

There are then three tabs representing the three main configuration types for a style:

  • Font and Decoration.
  • Spacing and Alignment.
  • Background and Border.

Font and Decoration

This tab allows you to set the font and size for the style along with any emphasis (decoration) such as bold, italic, underline or strikethrough. You can also set the text colour for the style here.

Using a different text colour together with a coloured background/border is useful for emphasis. For example, this text is in a created style called 'Tip' and is coloured blue; a light blue is then specified in the background/border tab.

Spacing and Alignment

This tab contains two groupings; one for text alignment and the other for margin spacings.

The text alignment options allow you to specify justification on the page for text in the style. For example, you may want your main title - Heading1 - to be center aligned on the page.

Margin settings allow you to dictate the spacing between the paragraph ends and the start of the start of the preceding or subsequent paragraph (top/bottom) or the page ends (left/right). If you imagine your text is inside a box then the margins specify the minimum space between the box border and anything else. The top and bottom margins in particular are extremely useful as they determine the spaces between paragraphs of text in the document.

Background and Border

This tab lets you configure the border and the background to paragraphs typed in the current style. The padding units allow you to add a 'buffer' between the text and the surrounding border as discussed below.

Margins and Padding

These are often misunderstood or used in the wrong place. To illustrate, there are a couple of examples below. In each case, we have a red, solid border and green background colour (as set in the background and border tab above). The text is set to be white in the font page.

This is the default. There is no padding and no margins set. The text is very close to the border on all sides and the box stretches to the ends of the page.

Here is an example where we have increased the left and top padding have been increased while the right and bottom padding are left at zero. This buffers the text inside the box at the left and top. Margins are left at zero.

This is an example where we have increased the left and top margins. This buffers the box from the surrounding page, offsetting it down and to the right. Padding is left at zero.


Multi-Board

MULTI-BOARD PROJECT NOTES

Overview

When a project contains more than one board the question arises about the scope of all of the reports generated in Project Notes. We've taken the decision that all notes will start life as being board specific (not project global) and that some notes must always remain board specific.

When you create a new Project Note the current board is listed at the bottom right, and by default, when you select a specific template, the note is marked as board specific.

For those reports forced to be board specific all configuration options will be disabled.

It's important to select your board of interest from the global combo box before creating any Project Notes as most often the contents of the note will be locked to the board.

See Also:

Multi-Board Design

Board Specific Reports

A board specific report is one which applies to a single board and can only apply to a single board. PCB Manufacturing Notes is a good example of this - the contents of the board (stackup / drill passes, artwork etc.) are board specific and can be set to accompany Gerber output files for the board. As such, this note should never contain information about another board.

Since it's common to generate the reports for each board in the project it's often useful to include the Assigned Board Field Code to the title of reports of this type. To do this just right click where you want to add and insert field code Assigned Board from the context menu.

You can also get there from the field codes icon on the toolbar at the top.

Note that 'Board Not Set' means that the board has not bean renamed from the default name in the Design Explorer.

Making a Note Project Global

Some reports are defaulted board specific but could be changed to include info about other boards. For example, the Engineering Change Order report. To do this we must first uncheck the board specific checkbox when creating the note from template.

Once this is done the note is not bound to a given board. This will allow you to add data objects from multiple boards in the project to the note.

Note that you cannot use the 'Assigned Board' field code with a Project Global report since there is no assigned board. If you add the field code it will simply report 'Board not Set'

For example, to add the design rule info from all the boards you would:

  1. Select the first board

  2. Insert the design rule data

  3. Switch to the second board

  4. Insert the design rule data

  5. Repeat for any other boards.

Remember that you can reload data from a table by the right click context menu.

However, to reload the entire report (all of the data objects across multiple boards) you must use the Reload Project Report command on the Edit Menu.

Assigning a Board to a Global Note

The vast majority of the time you'll decide and assign the board to the note on the main dialogue when you select a template.

You can however assign a board to a project global note at any time as follows:

1) Select the board you want to assign to from the Board Selection drop down box

2) Launch the Edit Note command on the File Menu and bind to that board

3) Add the 'Assigned Board' field code to the note title


INTEGRATION

The Project Notes application module integrates with the rest of Proteus in several different ways as discussed below.

Fieldcodes

Fieldcodes allow you to access design properties in your Project Notes.

To add a Fieldcode

1) Make sure the Design Properties are populated in ISIS.

2) In Project Notes, right click where you want to place the fieldcode and insert from the resulting context menu.

Bookmarks

Bookmarks are anchors that you place inside your document at points that you might want to navigate to. After placement, you can link to them from a different place in the document. An obvious example would be to create a table of contents for a document.

To add a Bookmark

1) Right click at the beginning of the line where you want the bookmark and insert from the resulting context menu.

2) Enter a name for the bookmark that is relevant to the position it is being placed.

3) When complete you will see a small flag to indicate that a bookmark is in place. This will not be shown in read-only mode or on any of the output formats (PDF, print).

See Also

Adding links within a document

Links

Links allow you to click and navigate to another place. This can be within the document, within the application or to an external website.

When in Editing Mode, link navigation is CTRL+Click. When in read-only/locked mode link navigation is by left click. Some link types are not exported in some formats.

To add a link within the document

1) Create one or more bookmarks as described above.

2) Highlight the text that you want to link and launch the link dialogue form.

3) Select the internal link option from the left, check that the text is correct and reference the bookmark you want.

To add a link elsewhere in Proteus

1) Right click and insert the link from the context menu.

2) Select Proteus link at the left hand side and then select either the schematic or the layout.

3) Choose the part you want to link to from the bottom and enter the link text at the top.

If you select a live link then the link text will be forced to be the same as the part reference and will then update with annotation changes.

To add a link to an external website

1) Launch the link dialogue form.

2) Make sure external link is selected on the left. Set the displayed text and destination website fields.

Project Data / Data Objects

Project data or data objects are structured information 'widgets' than can be inserted into any report. They form the building blocks of all of the template reports available to users and provide an easy way to customise or create your own reports.

To insert project data

From the insert menu select Project Data and then the data object that you want to insert

OR

Click on the project data icon on the main toolbar and then the data object that you want to insert

In either case the data object will insert at the position of the mouse cursor. There are two basic type of data object, namely image objects and table objects.

Image Objects

Examples include layer stackup graphics and customizable views of the PCB. Image objects can be resized after placement as required

The maintain aspect ratio toggle on the context menu (or the diagonal arrow on hover) is very useful to avoid skew/distortion during a resize.

Some image objects, notably the PCB artwork, can be configured after placement.

This allows you to set the visible layers for the image view which is helpful for assembly drawings and/or limited views of multi-layer boards.

Tabular Objects

This is the more common type of data object and is used to represent any data set output from Proteus.

Styling of the table takes place from the CSS styles on the right hand side of the editor

Note that some less common styles are not listed in the main view but can be found and edited via the style editor dialogue form.

Timestamping and Re-loading

All of the project data objects are timestamped on placement and will update the timestamp when re-loaded. A reload operation is always manual and can be invoked from the context menu individually or from the Edit menu globally.

This provides an auditable system for reporting on a revision or milestone for a PCB design project.

Clipboard

The shared clipboard in Proteus means that you can quickly insert images from other parts of the system.

To insert an image of the schematic / layout

1) In either the schemaitc or layout enter selection mode and drag a box around the area that you wish to copy.

2) Right click and select copy to clipboard. The copied image will be clipped at the borders of your selection box.

3) In Project Notes, right click at the insert point and paste from clipboard. Re-size as required.


BOOKMARKS

Overview

A bookmark is a placeholder in a document which can then be navigated to from elsewhere in the document via a link. The most common usage is to place bookmarks beside topic headings and then to add the links in a table of contents but they can be used wherever you like.

Bookmarks are denoted on the document by a small flag as shown below.

Options

Bookmark Name

Enter a descriptive name for the bookmark.

Add

Add the bookmark to the list.

Remove

Remove the bookmark currently selected in the list.

Goto

Navigate the document to the location of the bookmark selected in the list.

Listing

A listing of all of the bookmarks used in the document.

See Also:

Linking Content.


Create Link

Overview

The insert or create link dialogue allows you to place clickable text that will redirect the user to content of interest. There are three types of link, namely external links, internal links and Proteus links.

Regardless of the chosen type, note that the link can only be clicked when the Project Note is not being edited (i.e. when the padlock is red and closed). You can quickly test by hit ESCAPE key to exit editing mode and then double click to enter editing mode again.

External Link

An external link is a straightforward link to an external URL and will open in a new tab in your browser when clicked.

Internal Link

An internal link will take you to another place on the project notes documents that is identified by a bookmark or anchor. You would first create a bookmark in the target position of the document and then use this type of link to create a link to the target location

Create bookmark then create internal link

Very often internal links are created at the top of the document to make a table of contents. So, you write the document, add bookmarks to the titles and then create internal links at the top to make the TOC.

Proteus Link

Since Project Notes is an integrated module you can link to objects on either the schematic capture or the PCB layout module. This is particularly useful in descriptive text where the reader can reference the design intent on the circuit diagram. When selected, you can choose a part on either the schematic or the layout that you want to navigate to when the link is clicked. The live text option will force the text to display field to be the part reference and will then update automatically if, for example, the part is re-annotated at a later time.


Find Replace

FIND/REPLACE DIALOGUES

Overview

The find and replace dialogues are used to locate and optionally replace text in the document. They work in much the same way as you would find in a traditional word processing application like MS Word.

Options

Find Text

Enter the text (or expression) to be searched for.

Replace Text (Replace Dialogue only)

Enter replacement text or leave blank to delete on replace.

Direction

Specify whether you want to search up the document (text prior to the current cursor position) or down the document (text after the current cursor position).

Case Sensitive

Check this box if you want the search to be case sensitive (making FRED, FrEd and fred all unique search terms).

Whole Words only

Check this box if you want to limit your search to whole words only.

Regular Expression

Use this checkbox if you want to enter a Perl compatible regular expression as the search expression.


New Project Note

Overview

This dialogue form allows you to create a new project note from one of the pre-supplied templates.

Options

Template Selector

A project note is always created from a template. The selector on the left is a list of existing templates, including both Labcenter supplied and user created templates.

Select the template of choice for your new project note.

Preview

The preview on the right is a miniature render of the document so that you can see what you have selected.

Normally, the default template is left blank so that a Project Note can be created that is not structured to a particular style.

Title

Enter a title for the Project Note. This will be used to identify the note when selecting between available project notes in the document

Type

The type of Project Note identifies it to the rest of the Proteus system and, in some cases, enables additional output options.

If a Project Note is of type Bill of Materials Notes it can be appended to the end of the Bill of Materials PDF output.

If a Project Note is of type Manufacturing Notes it can be appended to the CADCAM output in ARES.

You can only have one note of each of these types per project; all other notes are of type Generic.


Password Editor

Overview

This dialogue form enables the setting or removal of passwords to protect the current project note. It is accessible only while the document is unlocked and the current password (if any) is required to unlock the document.

Unlocked State

Locked State

Options

New Password

Enter the new password for the document.

Re-Enter Password

Enter the new password again to ensure no mistakes.

OK

Confirm and set the new password for the document. This then applies whenever the document is locked.

Remove Password

Press this button to remove the current password from the document.

Password protection in Project Notes is a basic deterrent to tampering or unwanted editing. It is not intended as any form of serious security measure and should not be used to protect sensitive data.


STYLE EDITOR

Overview

Style provide a way to use various sizes of text with various decorations (bold, underline) and colours in a structured way. Using styles in your document means that if you edit the style (e.g. change the font size) it will automatically apply throughout the document.

This dialogue contains a lot of controls but they are all basic word processing configurations such as you would find in MS Word.

Options

Style Selector

Select the style that you wish to edit.

Create New Style Button

Allows the creation of custom styles for your document.

Delete Style Button

Allows you to delete a custom style. This button will be disabled if a system style is currently selected.

Font Options

Options to change the font family and decorations.

Spacing Options

Options to change the justification and the margins around the text.

Background Options.

Options to add background colours and padding from the text to the background borders.

See Also:


Title Editor

EDIT NOTE TITLE

Overview

This dialogue allows you to change both the title and the type of the currently opened Project Note.

Options

Note Title

Change the title for the Project Note. This will be used to identify the note when selecting between available project notes in the document

Note Type

Change the type of the Project Note.

If a Project Note is of type Bill of Materials Notes it can be appended to the end of the Bill of Materials PDF output.

If a Project Note is of type Manufacturing Notes it can be appended to the CADCAM output in ARES.

You can only have one note of each of these types per project; all other notes are of type Generic.

See Also:

Types of Project Note.


USER STYLE CREATOR

Overview

This dialogue allows you to create a custom style and inherit the initial configurations from an existing style.

Options

Name of Style

Enter the name of the custom style.

Copy from Style

Specify the existing style from which all of the initial settings will be copied. After creation, the style can be configured as required in the style editor.